<?php 
/*************************************************************************** 
 *                           db_update.php 
 *                          ---------------
 *   begin                : Friday, Jan 13, 2006
 *   copyright            : (C) 2005-2006 M.W.
 *
 ***************************************************************************/

define('IN_PHPBB', true); 
$phpbb_root_path = './'; 

$i = 0;
while ( !file_exists($phpbb_root_path . 'extension.inc') && ($i++ < 4) )
{
	$phpbb_root_path .= '../';
}
if ( $i > 4 )
{
   message_die(GENERAL_MESSAGE, 'Unable to find extension.inc, terminating. Please move this file into your main/"root" phpbb directory and try again.'); 
}

include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 

// 
// Start session management 
// 
$userdata = session_pagestart($user_ip, PAGE_INDEX); 
init_userprefs($userdata); 
// 
// End session management 
// 

if( !$userdata['session_logged_in'] ) 
{ 
	redirect(append_sid("login.$phpEx?redirect=db_update.$phpEx", true));
} 

if( $userdata['user_level'] != ADMIN ) 
{ 
   message_die(GENERAL_MESSAGE, 'You are not authorised to access this page'); 
} 

$page_title = 'Installing eCard Mod v.0.2.1 Tables'; 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 

print<<<DELIM
<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">
  <tr>
    <th class="thHead">Updating the database</th>
  </tr>
  <tr>
    <td>
      <span class="genmed">
        <ul type="circle">

DELIM;

$current_time = time();

switch ( SQL_LAYER )
{
	case 'msaccess':
	break;
	case 'postgresql':
	break;
	case 'mssql':
	case 'mssql-odbc':
	break;
	case 'mysql':
	case 'mysql4':
	default:
		$sql = array(
		"CREATE TABLE {$table_prefix}ecard (
			id VARCHAR( 14 ) NOT NULL ,
			user_id MEDIUMINT( 8 ) DEFAULT '0' NOT NULL ,
			date INT( 11 ) DEFAULT '0' NOT NULL ,
			image_id INT( 11 ) NOT NULL ,
			to_name VARCHAR( 120 ) NOT NULL ,
			to_email VARCHAR( 255 ) NOT NULL ,
			readed CHAR( 1 ) DEFAULT '0' NOT NULL ,
			message TEXT NOT NULL ,
			PRIMARY KEY (id) 
			);", 
		"CREATE TABLE {$table_prefix}ecard_categories (
			id MEDIUMINT( 3 ) NOT NULL AUTO_INCREMENT ,
			categorie VARCHAR( 200 ) NOT NULL ,
			PRIMARY KEY (id) 
			);",
		"CREATE TABLE {$table_prefix}ecard_images (
			image_id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
			title VARCHAR( 200 ) NOT NULL ,
			categorie_id MEDIUMINT( 3 ) DEFAULT '0' NOT NULL ,
			image VARCHAR( 255 ) NOT NULL ,
			thumbnail VARCHAR( 255 ) NOT NULL ,
			time INT( 11 ) NOT NULL ,
			counter MEDIUMINT( 8 ) DEFAULT '0' NOT NULL ,
			PRIMARY KEY (image_id) 
			);",
		"ALTER TABLE {$table_prefix}users ADD
			ecard_counter MEDIUMINT( 5 ) DEFAULT '0' NOT NULL;"
		);
	break;
}

foreach ( $sql AS $query ) 
{ 
   if ( !($result = $db->sql_query($query)) )
   { 
      $error = $db->sql_error();
      print('<li>' . nl2br($query) . '<br /> +++ <font color="#FF0000"><b>Error:</b></font> ' . $error['message'] . '</li><br />');
   } 
   else 
   { 
      print('<li>' . nl2br($query) . '<br /> +++ <font color="#00AA00"><b>Successfull</b></font></li><br />');
   } 
}

$forum_url = append_sid($phpbb_root_path . "index.$phpEx");
$phpbb_url = "http://www.phpbb.de/";

print<<<DELIM
        </ul>
      </span>
    </td>
  </tr>
  <tr>
    <td class="catBottom" height="28">&nbsp;</td>
  </tr>
  <tr>
    <td class="catBottom" colspan="2" align="center">Finished</td>
  </tr>
</table>

<br />
<br />

<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">
  <tr>
    <th class="thHead">SQL Installation complete</th>
  </tr>
  <tr>
    <td>
      <span class="genmed">Please delete this file (db_update.{$phpEx}).<br />
      If you have any problems, please visit <a href="{$phpbb_url}" target="_new">phpbb.de</a> and ask for help.</span>
    </td>
  </tr>
  <tr>
    <td class="catBottom" height="28" align="center">
      <span class="genmed"><a href="{$forum_url}">Click Here to return to your forum.</a>
      </span>
    </td>
  </tr>
</table>

DELIM;

include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 

?>
