<?php
/***************************************************************************
 *                           ecard_select.php
 *                          ------------------
 *   begin                : Version 0.2.0 - 09.01.2006
 *   copyright            : (C) 2005-2006 M.W.
 *   URL                  : http://phpbb.mwegner.de/
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

$Cat_row = array();
$sql = "SELECT *
	FROM " . ECARD_CATEGORIES_TABLE . "
	ORDER BY categorie ASC";
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query eCard Categories information', '', __LINE__, __FILE__, $sql);
}
while ($row = $db->sql_fetchrow($result))
{
	$Cat_row[] = $row;
}
$Cat_Count = count($Cat_row);

$Img_row = array();
$sql = "SELECT image_id, title, thumbnail
	FROM " . ECARD_IMAGES_TABLE . "
	WHERE categorie_id = " . $Cat_AktID . "
	ORDER BY title ASC";
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query eCard Images information', '', __LINE__, __FILE__, $sql);
}
while ($row = $db->sql_fetchrow($result))
{
	$Img_row[] = $row;
}
$Img_Count = count($Img_row);

if (($Img_Count >= $ecard_config['img_per_row']) || ($Cat_Count >= $ecard_config['img_per_row']))
{
	$s_colspan = $ecard_config['img_per_row'];
}
elseif (($Cat_Count == 0) && ($Img_Count == 0))
{
	$s_colspan = 1;
}
elseif ($Cat_Count > $Img_Count)
{
	$s_colspan = $Cat_Count;
}
else
{
	$s_colspan = $Img_Count;
}

if ($Cat_Count > 0)
{
	$template->assign_block_vars('switch_categories', array()); 
	$template->assign_vars(array(
		'L_MAINCAT' => $lang_ec['Main_Categorie'],
		'U_MAINCAT' => append_sid("ecard.$phpEx"))
	);

	$ecardCat_row_count = 0;
	$ecardCat_col_count = 0;
	for ($i=0; $i<$Cat_Count; $i++)
	{
		$Cat_ID[$ecardCat_row_count][$ecardCat_col_count] = $Cat_row[$i]['id'];
		$Cat_Title[$ecardCat_row_count][$ecardCat_col_count] = $Cat_row[$i]['categorie'];
		$ecardCat_col_count++;
		if ($ecardCat_col_count == $s_colspan)
		{
			$ecardCat_row_count++;
			$ecardCat_col_count = 0;
		}
	}
	if ($ecardCat_col_count != 0)
	{
		for ($i=$ecardCat_col_count; $i<$s_colspan; $i++)
		{
			$Cat_ID[$ecardCat_row_count][$ecardCat_col_count] = '';
			$Cat_Title[$ecardCat_row_count][$ecardCat_col_count] = '';
			$ecardCat_col_count++;
		}
	}

	for($i=0; $i<count($Cat_ID); $i++)
	{
		$template->assign_block_vars('categories_row', array());
		for($j=0; $j<count($Cat_ID[$i]); $j++)
		{
			if ($Cat_ID[$i][$j] != '')
			{
				$Cat_Link = '&#8226; <a href="' . append_sid("ecard.$phpEx?cid=".$Cat_ID[$i][$j]) . '" title="' . $Cat_Title[$i][$j] . '" class="gen">' . $Cat_Title[$i][$j] . '</a>';
			}
			else
			{
				$Cat_Link = '&#160;';
			}
			$template->assign_block_vars('categories_row.categories_column', array(
				"CAT_LINK" => $Cat_Link)
			);
		}
	}
}

if ($Cat_AktID == 0)
{
	$CatTit_row[0][categorie] = $lang_ec['Main_Categorie'];
}
else
{
	$CatTit_row = array();
	$sql = "SELECT categorie
		FROM " . ECARD_CATEGORIES_TABLE . "
		WHERE id = " . $Cat_AktID;
	if(!$result = $db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, 'Could not query eCard Categories information', '', __LINE__, __FILE__, $sql);
	}
	while ($row = $db->sql_fetchrow($result))
	{
		$CatTit_row[] = $row;
	}
	if (count($CatTit_row) < 1)
	{
		$CatTit_row[0][categorie] = $lang_ec['unknown_Categorie'];
	}
}
$template->assign_vars(array(
	'L_CAT_TITLE' => $CatTit_row[0][categorie])
);

if ($Img_Count > 0)
{
	$ecard_row_count = 0;
	$ecard_col_count = 0;
	for ($i=0; $i<$Img_Count; $i++)
	{
		$Img_ID[$ecard_row_count][$ecard_col_count] = $Img_row[$i]['image_id'];
		$Img_Title[$ecard_row_count][$ecard_col_count] = $Img_row[$i]['title'];
		$Img_Thumb[$ecard_row_count][$ecard_col_count] = $Img_row[$i]['thumbnail'];

		$ecard_col_count++;
		if ($ecard_col_count == $s_colspan)
		{
			$ecard_row_count++;
			$ecard_col_count = 0;
		}
	}
	if ($ecard_col_count != 0)
	{
		for ($i=$ecard_col_count; $i<$s_colspan; $i++)
		{
			$Img_ID[$ecard_row_count][$ecard_col_count] = '';
			$Img_Title[$ecard_row_count][$ecard_col_count] = '';
			$Img_Thumb[$ecard_row_count][$ecard_col_count] = '';
			$ecard_col_count++;
		}
	}

	for($i=0; $i<count($Img_ID); $i++)
	{
		$template->assign_block_vars("ecard_row", array());
		for($j=0; $j<count($Img_ID[$i]); $j++)
		{
			$DatInfo = @ getimagesize('images/ecard/gallery/'.$Img_Thumb[$i][$j]);
			if ((isset($DatInfo)) && (is_array($DatInfo)))
			{
				$BildBreite = $DatInfo[0];
				$BildHoehe = $DatInfo[1];
				if ($BildBreite > 120)
				{
					$BildFaktor = 120 / $BildBreite;
					$BildBreite = floor($BildBreite * $BildFaktor);
					$BildHoehe = floor($BildHoehe * $BildFaktor);
				}
				if ($BildHoehe > 120)
				{
					$BildFaktor = 120 / $BildHoehe;
					$BildBreite = floor($BildBreite * $BildFaktor);
					$BildHoehe = floor($BildHoehe * $BildFaktor);
				}
				unset($DatInfo);
				$img_width = 'width="' . $BildBreite . '"';
				$img_height = 'height="' . $BildHoehe . '"';
			}
			else
			{
				$img_width = '';
				$img_height = '';
			}
			if ($Img_ID[$i][$j] != '')
			{
				$template->assign_block_vars('ecard_row.ecard_column', array(
					"ECARD_IMAGE" => '<img ' . $img_width . ' ' . $img_height . ' src="' . $phpbb_root_path . 'images/ecard/gallery/' . $Img_Thumb[$i][$j] . '" alt="' . $Img_Title[$i][$j] . '" title="' . $Img_Title[$i][$j] . '" />')
				);
				$template->assign_block_vars('ecard_row.ecard_option_column', array(
					"S_OPTIONS_ECARD" => '<input type="radio" name="ecardselect" value="' . $Img_ID[$i][$j] . '" />')
				);
			}
			else
			{
				$template->assign_block_vars('ecard_row.ecard_column', array(
					"ECARD_IMAGE" => '&#160;')
				);		
				$template->assign_block_vars('ecard_row.ecard_option_column', array(
					"S_OPTIONS_ECARD" => '&#160;')
				);
			}
		}
	}

	$template->assign_vars(array(
		'L_ECARD_GALLERY' => $lang_ec['ECard'], 
		'L_SELECT_ECARD' => $lang_ec['ECard_select'], 
		'S_ECARD_ACTION' => append_sid("ecard.$phpEx?mode=write"), 
		'S_COLSPAN' => $s_colspan,
		'S_HIDDEN_FIELDS' => $ECHidden)
	);
}
elseif ($CatTit_row[0][categorie] == $lang_ec['unknown_Categorie'])
{
	$template->assign_block_vars('switch_no_images', array()); 
	$template->assign_vars(array(
		'L_NO_IMAGES' => $lang_ec['no_images_unknown_Categorie'])
	);
}
else
{
	$template->assign_block_vars('switch_no_images', array()); 
	$template->assign_vars(array(
		'L_NO_IMAGES' => $lang_ec['no_images'])
	);
}

$template->assign_vars(array(
	'L_ECARD_GALLERY' => $lang_ec['ECard'], 
	'L_SELECT_ECARD' => $lang_ec['ECard_select'], 
	'S_ECARD_ACTION' => append_sid("ecard.$phpEx?mode=write"), 
	'S_COLSPAN' => $s_colspan,
	'S_HIDDEN_FIELDS' => $ECHidden)
);

$template->set_filenames(array(
	'body' => 'ecard_gallery.tpl')
);

?>