<?php
/***************************************************************************
 *                           admin/admin_ecard_stat.php
 *                          ------------------------------
 *   Version              : Version 0.2.0 - 09.01.2006
 *   copyright            : (C) 2005-2006 M.W.
 *   URL                  : http://phpbb.mwegner.de/
 *
 ***************************************************************************/

define('IN_PHPBB', true);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['eCard']['ec_xStatistic'] = $filename;
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = '../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
require($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_ecard.' . $phpEx);
include($phpbb_root_path . 'includes/ecard_config.'.$phpEx);


$template->set_filenames(array(
	'body' => ADM_TPL . 'ecard_stat_body.tpl')
);

$template->assign_vars(array(
	'L_ECARD_STAT_TITLE' => $lang_ec['Admin_Statistic_Title'],
	'L_STAT1_TITLE' => $lang_ec['Admin_Statistic1_Title'],
	'L_STAT2_TITLE' => $lang_ec['Admin_Statistic2_Title'],
	'L_IMAGE' => $lang_ec['Image'],
	'L_UPLOAD' => $lang_ec['Upload_date'],
	'L_COUNTER' => $lang_ec['Counter'],
	'L_COUNTER_EXPLAIN' => $lang_ec['Counter_Explain'],
	'L_COUNTER2_EXPLAIN' => $lang_ec['Counter2_Explain'],
	'L_USERNAME' => $lang['Username'],
	'S_ECARD_VERSION' => $ecard_config['version'])
);

$sql = "SELECT *
	FROM " . ECARD_IMAGES_TABLE . "
	ORDER BY counter DESC, title ASC
	LIMIT 10";
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query eCard Images information', '', __LINE__, __FILE__, $sql);
}
while ($row = $db->sql_fetchrow($result))
{
	$ecimgrow[] = $row;
}

$ecimg_count = count($ecimgrow);
if ($ecimg_count > 0)
{
	for ($i=0; $i<$ecimg_count; $i++)
	{
		$template->assign_block_vars('ecimgrow', array(
			'COLOR' => ($i % 2) ? 'row1' : 'row2',
			'TITLE' => $ecimgrow[$i]['title'],
			'THUMBNAIL' => $phpbb_root_path . 'images/ecard/gallery/' . $ecimgrow[$i]['thumbnail'],
			'COUNTER' => $ecimgrow[$i]['counter'],
			'TIME' => date("d.m.Y H:i", $ecimgrow[$i]['time']))
		);
	}
}
else
{
	$template->assign_block_vars('switch_no_images', array()); 
	$template->assign_vars(array(
		'L_NO_IMAGES' => $lang_ec['no_stat_image'])
	);
}

$sql = "SELECT user_id, username, ecard_counter 
	FROM " . USERS_TABLE . "
	ORDER BY ecard_counter DESC, username ASC
	LIMIT 10";
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, 'Could not query users information', '', __LINE__, __FILE__, $sql);
}
while ($row = $db->sql_fetchrow($result))
{
	$ecuserrow[] = $row;
}

$ecuser_count = count($ecuserrow);
if ($ecuser_count > 0)
{
	for ($i=0; $i<$ecuser_count; $i++)
	{
		$template->assign_block_vars('ecuserrow', array(
			'COLOR' => ($i % 2) ? 'row1' : 'row2',
			'U_VIEWPROFILE' => append_sid("../profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=" . $ecuserrow[$i]['user_id']),
			'USERNAME' => $ecuserrow[$i]['username'],
			'COUNTER' => $ecuserrow[$i]['ecard_counter'])
		);
	}
}

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>