<?php
/***************************************************************************
 *                           admin/admin_ecard_upload.php
 *                          ------------------------------
 *   Version              : Version 0.2.0 - 09.01.2006
 *   copyright            : (C) 2005-2006 M.W.
 *   URL                  : http://phpbb.mwegner.de/
 *
 ***************************************************************************/

define('IN_PHPBB', true);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['eCard']['ec_Upload'] = $filename;
	return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = '../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
require($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_ecard.' . $phpEx);
include($phpbb_root_path . 'includes/ecard_config.'.$phpEx);

function tpunkt($wert1)
{
	$ec_Len = strlen($wert1);
	if ($ec_Len > 3)
	{
		$wert1 = strrev($wert1);
		$wert2 = '';
		for ($i=0; $i<=5; $i++)
		{
			$wert2 = $wert2 . substr($wert1,0,3) . '.';
			$wert1 = substr($wert1,3);
			$ec_Len = strlen($wert1);
			if ($ec_Len < 4)
			{
				$wert1 = $wert2 . $wert1;
				break;
			}
		}
		$wert1 = strrev($wert1);
	}
	return $wert1;
}

if (!isset($HTTP_POST_VARS['image_title']))
{
	$sql = "SELECT *
		FROM " . ECARD_CATEGORIES_TABLE ."
		ORDER BY categorie ASC";
	if( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not query categories list', '', __LINE__, __FILE__, $sql);
	}

	$catrows = array();
	$catrows[0][id] = 0;
	$catrows[0][categorie] = $lang_ec['Main_Categorie'];

	while( $row = $db->sql_fetchrow($result) )
	{
		$catrows[] = $row;
	}

	$select_cat = '<select name="cat_id">';
	$catrows_c = count($catrows);
	for ($i=0; $i<$catrows_c; $i++)
	{
		$select_cat .= '<option value="'. $catrows[$i]['id'] .'" ';
		$select_cat .= ($cat_id == $catrows[$i]['id']) ? 'selected="selected"' : '';
		$select_cat .= '>'. $catrows[$i]['categorie'] .'</option>';
	}
	$select_cat .= '</select>';

	$ec_mfs = tpunkt($ecard_config['max_filesize']);
	$ec_mtfs = tpunkt($ecard_config['max_tfilesize']);

	$template->set_filenames(array(
		'body' => 'admin/ecard_upload_body.tpl')
	);

	$template->assign_vars(array(
		'L_ECARD_TITLE' => $lang_ec['Admin_Image_Upload'],
		'L_ECARD_UPLOAD_EXPLAIN' => $lang_ec['eCard_Upload_explain'],
		'L_UPLOAD_IMAGE' => $lang_ec['Upload_Image'],
		'L_IMAGE_TITLE' => $lang_ec['Image_Title'],
		'L_UPLOAD_IMAGE_LOCAL' => $lang_ec['Upload_Image_local'],
		'L_UPLOAD_TO_CATEGORY' => $lang_ec['Upload_to_Category'],
		'L_MAX_FILESIZE' => $lang_ec['Max_file_size'],
		'L_MAX_TFILESIZE' => $lang_ec['Max_tfile_size'],
		'L_MAX_WIDTH' => $lang_ec['Max_width'],
		'L_OPT_WIDTH' => $lang_ec['Opt_width'],
		'L_MAX_HEIGHT' => $lang_ec['Max_height'],
		'L_UPLOAD_NO_TITLE' => $lang_ec['Upload_no_title'],
		'L_UPLOAD_NO_FILE' => $lang_ec['Upload_no_file'],
		'L_UPLOAD_NO_TFILE' => $lang_ec['Upload_no_tfile'],
		'L_UPLOAD_THUMBNAIL' => $lang_ec['Upload_Thumbnail'],
		'L_UPLOAD_THUMBNAIL_EXPLAIN' => $lang_ec['Upload_Thumbnail_explain'],
		'L_THUMBNAIL_SIZE' => $lang_ec['Thumbnail_size'],
		'L_ALLOWED_FORMAT' => $lang_ec['allowed_Format'],
		'L_RESET' => $lang['Reset'],
		'L_SUBMIT' => $lang['Submit'],
		'SELECT_CAT' => $select_cat,
		'S_MAX_FILESIZE' => $ec_mfs,
		'S_MAX_TFILESIZE' => $ec_mtfs,
		'S_MAX_WIDTH' => $ecard_config['max_width'],
		'S_OPT_WIDTH' => $ecard_config['max_width'] . ' bis ' . $ecard_config['tab_min_width'],
		'S_MAX_HEIGHT' => $ecard_config['max_height'],
		'S_THUMBNAIL_SIZE' => $ecard_config['thumbnail_size'],
		'S_ALLOWED_FORMAT' => $ecard_config['allowed_format'],
		'S_ECARD_VERSION' => $ecard_config['version'],
		'U_ECARD_ACTION' => append_sid("admin_ecard_upload.$phpEx")
		)
	);

	if ($album_config['gd_version'] == 0)
	{
		$template->assign_block_vars('switch_manual_thumbnail', array());
	}

	//
	// Generate the page
	//
	$template->pparse('body');

	include('./page_footer_admin.'.$phpEx);
}
else
{
	$click_message = "<br /><br />" . sprintf($lang_ec['Click_return_ecard_upload'], "<a href=\"" . append_sid("admin_ecard_upload.$phpEx") . "\">", "</a>");

	if (strlen($HTTP_POST_VARS['image_title']) > $ecard_config['title_max_len'])
	{
		message_die(GENERAL_ERROR, sprintf($lang_ec['Title_too_long'], $ecard_config['title_max_len']) . $click_message);
	}
	$image_title = str_replace("\'", "''", htmlspecialchars(trim($HTTP_POST_VARS['image_title'])));

	if ((preg_match('[^0-9]', $HTTP_POST_VARS['cat_id'])) || ($HTTP_POST_VARS['cat_id'] < 0))
	{
		message_die(GENERAL_ERROR, $lang_ec['no_Categorie_selected'] . $click_message);
	}
	$image_CatID = $HTTP_POST_VARS['cat_id'];

	if (empty($image_title))
	{
		message_die(GENERAL_ERROR, $lang_ec['Missed_pic_title'] . $click_message);
	}
	if (!isset($HTTP_POST_FILES['image_file']))
	{
		message_die(GENERAL_ERROR, 'Bad Upload' . $click_message);
	}
	if (!isset($HTTP_POST_FILES['thumbnail_file']))
	{
		message_die(GENERAL_ERROR, 'Bad Upload' . $click_message);
	}

	$file1_type = $HTTP_POST_FILES['image_file']['type'];
	$file1_size = $HTTP_POST_FILES['image_file']['size'];
	$file1_tmp = $HTTP_POST_FILES['image_file']['tmp_name'];
	$file2_type = $HTTP_POST_FILES['thumbnail_file']['type'];
	$file2_size = $HTTP_POST_FILES['thumbnail_file']['size'];
	$file2_tmp = $HTTP_POST_FILES['thumbnail_file']['tmp_name'];

	$ec_time = time();

	if( ($file1_size == 0) or ($file1_size > $ecard_config['max_filesize']) )
	{
		message_die(GENERAL_MESSAGE, $lang_ec['Bad_upload_file_size'] . $click_message);
	}
	if( ($file2_size == 0) or ($file2_size > $ecard_config['max_tfilesize']) )
	{
		message_die(GENERAL_MESSAGE, $lang_ec['Bad_upload_tfile_size'] . $click_message);
	}

	switch ($file1_type)
	{
		case 'image/jpeg':
		case 'image/jpg':
		case 'image/pjpeg':
			$file1_filetype = '.jpg';
			break;
		case 'image/png':
		case 'image/x-png':
			$file1_filetype = '.png';
			break;
		case 'image/gif':
			$file1_filetype = '.gif';
			break;
		default:
			message_die(GENERAL_ERROR, $lang_ec['Not_allowed_file_type'] . $click_message);
	}
	switch ($file2_type)
	{
		case 'image/jpeg':
		case 'image/jpg':
		case 'image/pjpeg':
			$file2_filetype = '.jpg';
			break;
		case 'image/png':
		case 'image/x-png':
			$file2_filetype = '.png';
			break;
		case 'image/gif':
			$file2_filetype = '.gif';
			break;
		default:
			message_die(GENERAL_ERROR, $lang_ec['Not_allowed_tfile_type'] . $click_message);
	}

	srand((double)microtime()*1000000);
	do
	{
		$file_id = md5(uniqid(rand()));
	}
	while ((file_exists(ECARD_GALLERY_PATH . $file_id . '.jpg')) || (file_exists(ECARD_GALLERY_PATH . $file_id . '.png')) || (file_exists(ECARD_GALLERY_PATH . $file_id . '.gif')) || (file_exists(ECARD_GALLERY_PATH . $file_id . '_t.jpg')) || (file_exists(ECARD_GALLERY_PATH . $file_id . '_t.png')) || (file_exists(ECARD_GALLERY_PATH . $file_id . '_t.gif')));

	$file1_name = $file_id . $file1_filetype;
	$file2_name = $file_id . '_t' . $file2_filetype;

	$ini_val = ( @phpversion() >= '4.0.0' ) ? 'ini_get' : 'get_cfg_var';
	if ( @$ini_val('open_basedir') != '' )
	{
		if ( @phpversion() < '4.0.3' )
		{
			message_die(GENERAL_ERROR, 'open_basedir is set and your PHP version does not allow move_uploaded_file<br /><br />Please contact your server admin', '', __LINE__, __FILE__);
		}
		$move_file = 'move_uploaded_file';
	}
	else
	{
		$move_file = 'copy';
	}

	$move_file($file1_tmp, $phpbb_root_path . ECARD_GALLERY_PATH . $file1_name);
	$move_file($file2_tmp, $phpbb_root_path . ECARD_GALLERY_PATH . $file2_name);

	@chmod($phpbb_root_path . ECARD_GALLERY_PATH . $file1_name, 0777);
	@chmod($phpbb_root_path . ECARD_GALLERY_PATH . $file2_name, 0777);

	$file1_info = getimagesize($phpbb_root_path . ECARD_GALLERY_PATH . $file1_name);
	$file2_info = getimagesize($phpbb_root_path . ECARD_GALLERY_PATH . $file2_name);
	$file1_width = $file1_info[0];
	$file1_height = $file1_info[1];
	$file2_width = $file2_info[0];
	$file2_height = $file2_info[1];

	if (($file1_width > $ecard_config['max_width']) || ($file1_height > $ecard_config['max_height']))
	{
		@unlink($phpbb_root_path . ECARD_GALLERY_PATH . $file1_name);
		@unlink($phpbb_root_path . ECARD_GALLERY_PATH . $file2_name);
		message_die(GENERAL_ERROR, $lang_ec['Upload_image_size_too_big'] . $click_message);
	}
	elseif (($file2_width > $ecard_config['thumbnail_size']) || ($file2_height > $ecard_config['thumbnail_size']))
	{
		@unlink($phpbb_root_path . ECARD_GALLERY_PATH . $file1_name);
		@unlink($phpbb_root_path . ECARD_GALLERY_PATH . $file2_name);
		message_die(GENERAL_ERROR, $lang_ec['Upload_thumbnail_size_too_big'] . $click_message);
	}

	$sql = "INSERT INTO ". ECARD_IMAGES_TABLE ." (title, categorie_id, image, thumbnail, time, counter)
			VALUES ('$image_title', $image_CatID, '$file1_name', '$file2_name', $ec_time, 0)";
	if( !$result = $db->sql_query($sql) )
	{
		message_die(GENERAL_ERROR, 'Could not insert new entry', '', __LINE__, __FILE__, $sql);
	}

	$template->assign_vars(array(
		'META' => '<meta http-equiv="refresh" content="3;url=' . append_sid("admin_ecard_upload.$phpEx") . '">')
	);
	$message = $lang_ec['Upload_successful'];
	$message .= "<br /><br />" . sprintf($lang_ec['Click_return_ecard_upload'], "<a href=\"" . append_sid("admin_ecard_upload.$phpEx") . "\">", "</a>");
	message_die(GENERAL_MESSAGE, $message);
}

?>