<?php
/***************************************************************************
 *                           ecard_read.php
 *                          ----------------
 *   begin                : Version 0.2.0 - 09.01.2006
 *   copyright            : (C) 2005-2006 M.W.
 *   URL                  : http://phpbb.mwegner.de/
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

function ec_bildergroesse()
{
	global $ECImage_Name, $img_width, $img_height, $tab_width, $ecard_config;

	$DatInfo = @ getimagesize('images/ecard/gallery/'.$ECImage_Name);
	if ((isset($DatInfo)) && (is_array($DatInfo)))
	{
		$BildBreite = $DatInfo[0];
		$BildHoehe = $DatInfo[1];
		if ($BildBreite > $ecard_config['max_width'])
		{
			$BildFaktor = $ecard_config['max_width'] / $BildBreite;
			$BildBreite = floor($BildBreite * $BildFaktor);
			$BildHoehe = floor($BildHoehe * $BildFaktor);
		}
		if ($BildHoehe > $ecard_config['max_height'])
		{
			$BildFaktor = $ecard_config['max_height'] / $BildHoehe;
			$BildBreite = floor($BildBreite * $BildFaktor);
			$BildHoehe = floor($BildHoehe * $BildFaktor);
		}
		unset($DatInfo);
		$img_width = 'width="' . $BildBreite . '"';
		$img_height = 'height="' . $BildHoehe . '"';

		if (($BildBreite >= $ecard_config['tab_min_width']) && ($BildBreite <= $ecard_config['max_width']))
		{
			$tab_width = $BildBreite;
		}
	}
}

if ($ECMode == 'preview')
{
	if ((isset($ImgSh_row)) && (is_array($ImgSh_row)) && (count($ImgSh_row) > 0))
	{
		$ECImage_Name = $ImgSh_row[0]['image'];
		$img_width = '';
		$img_height = '';
		ec_bildergroesse();

		$template->assign_vars(array(
			'ECARD_IMAGE' => $phpbb_root_path . 'images/ecard/gallery/'.$ECImage_Name,
			'ECARD_NAME' => $ImgSh_row[0]['title'],
			'NAME' => stripslashes($EC_Name), 
			'EMAIL' => stripslashes($EC_EMail), 
			'MESSAGE' => stripslashes($EC_Message_html), 
			'ECARD_DATE' => date("d.n.Y H:i", time()), 
			'L_ECARD_GALLERY' => $lang_ec['ECard'], 
			'L_FROM' => $lang_ec['ECard_from'], 
			'FROM_NAME' => $userdata['username'],
			'L_TO' => $lang_ec['ECard_to'], 
			'L_TO_NAME' => $lang_ec['ECard_name'], 
			'L_TO_EMAIL' => $lang_ec['ECard_email'], 
			'L_MESSAGE' => $lang_ec['ECard_message'], 
			'TAB_WIDTH' => $tab_width,
			'IMG_WIDTH' => $img_width,
			'IMG_HEIGHT' => $img_height,
			'MES_WIDTH' => ($tab_width - 125),
			'L_SEND_ECARD' => $lang_ec['ECard_send'], 
			'L_EDIT_ECARD' => $lang_ec['ECard_edit'], 
			'S_ECARD_ACTION' => append_sid("ecard.$phpEx?mode=send"),
			'S_HIDDEN_FIELDS' => '<input type="hidden" name="ecard" value="' . $ECImage_ID . '" /><input type="hidden" name="name" value="' . $EC_Name . '" /><input type="hidden" name="email" value="' . $EC_EMail . '" /><input type="hidden" name="message" value="' . $EC_Message . '" />'.$ECHidden)
		);

		$template->assign_block_vars('switch_ecard_form', array());

		$template->set_filenames(array(
			'body' => 'ecard_view.tpl')
		);
	}
	else
	{
		$ECMode = 'ImageSelect';
	}
}
elseif ($ECMode == 'read')
{
	$sql = "SELECT e.user_id, e.date, e.image_id, e.to_name, e.to_email, e.message, e.readed, u.username, u.user_email 
		FROM " . ECARD_TABLE . " e, " . USERS_TABLE . " u
		WHERE e.id = " . $EC_ID . " AND
		e.user_id = u.user_id";
	if(!$result = $db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, 'Could not query eCard Images information', '', __LINE__, __FILE__, $sql);
	}
	$eCardRe_row = array();
	while ($row = $db->sql_fetchrow($result))
	{
		$eCardRe_row[] = $row;
	}

	if (count($eCardRe_row) > 0)
	{
		$ImgSh_row = array();
		$sql = "SELECT image_id, title, image
			FROM " . ECARD_IMAGES_TABLE . "
			WHERE image_id = " . $eCardRe_row[0]['image_id'];
		if(!$result = $db->sql_query($sql))
		{
			message_die(GENERAL_ERROR, 'Could not query eCard Images information', '', __LINE__, __FILE__, $sql);
		}
		while ($row = $db->sql_fetchrow($result))
		{
			$ImgSh_row[] = $row;
		}
		$Img_Count = count($ImgSh_row);
		if ($Img_Count < 1)
		{
			$ECImage_Name = 'no_image.jpg';
			$ECImage_Title = $lang_ec['no_image'];
		}
		else
		{
			$ECImage_Name = $ImgSh_row[0]['image'];
			$ECImage_Title = $ImgSh_row[0]['title'];
		}
		ec_bildergroesse();

		if (($eCardRe_row[0]['readed'] != 1) && ((!isset($HTTP_GET_VARS['x'])) || (!preg_match('/^x$/is', $HTTP_GET_VARS['x']))))

		{
			$sql = "UPDATE " . ECARD_TABLE . "
				SET readed = 1
				WHERE id = " . $EC_ID;
			if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not update ecard table', '', __LINE__, __FILE__, $sql);
			}

			include($phpbb_root_path . 'includes/emailer.'.$phpEx);
			$emailer = new emailer($board_config['smtp_delivery']);

			$emailer->from($board_config['board_email']);
			$emailer->replyto($board_config['board_email']);

			$emailer->email_address(trim($eCardRe_row[0]['user_email']));
			$emailer->use_template("ecard_notification", $row['user_lang']);
			$emailer->set_subject($eCardRe_row[0]['to_name'].' '.$lang_ec['ECard_notification_subject']);

			$emailer->assign_vars(array(
				'USERNAME' => $eCardRe_row[0]['username'],
				'NAME' => $eCardRe_row[0]['to_name'],
				'DATE' => date("d.n.Y H:i", $eCardRe_row[0]['date']),
				'EMAIL_SIG' => str_replace('<br />', "\n", "-- \n" . $board_config['board_email_sig']))
			);
			$emailer->send();
			$emailer->reset();
		}
	}
	else
	{
		$message = $lang_ec['ECard_not_found'];
		message_die(GENERAL_MESSAGE, $message);
	}

	$template->assign_vars(array(
		'ECARD_IMAGE' => 'images/ecard/gallery/' . $ECImage_Name,
		'ECARD_NAME' => $ECImage_Title,
		'NAME' => stripslashes($eCardRe_row[0]['to_name']), 
		'EMAIL' => stripslashes($eCardRe_row[0]['to_email']), 
		'MESSAGE' => stripslashes($eCardRe_row[0]['message']), 
		'ECARD_DATE' => date("d.n.Y H:i", $eCardRe_row[0]['date']), 
		'L_ECARD_GALLERY' => $lang_ec['ECard'], 
		'L_FROM' => $lang_ec['ECard_from'], 
		'FROM_NAME' => '<a href="' . append_sid("profile.php?mode=viewprofile&amp;u=" . $eCardRe_row[0]['user_id']) . '" title="' . $eCardRe_row[0]['username'] . '">' . $eCardRe_row[0]['username'] . '</a>',
		'L_TO' => $lang_ec['ECard_to'], 
		'L_TO_NAME' => $lang_ec['ECard_name'], 
		'L_TO_EMAIL' => $lang_ec['ECard_email'], 
		'L_MESSAGE' => $lang_ec['ECard_message'], 
		'TAB_WIDTH' => $tab_width,
		'IMG_WIDTH' => $img_width,
		'IMG_HEIGHT' => $img_height,
		'MES_WIDTH' => ($tab_width - 125),
		'S_HIDDEN_FIELDS' => $ECHidden)
	);

	$template->set_filenames(array(
		'body' => 'ecard_view.tpl')
	);
}

?>