<?php
/***************************************************************************
 *                           ecard_vali.php
 *                          ----------------
 *   begin                : Version 0.2.1 - 04.04.2006
 *   copyright            : (C) 2005-2006 M.W.
 *   URL                  : http://phpbb.mwegner.de/
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

function ecvali_email($email)
{
	global $db, $lang;

	if ($email != '')
	{
		if (preg_match('/^[a-z0-9&\'\.\-_\+]+@[a-z0-9\-]+\.([a-z0-9\-]+\.)*?[a-z]+$/is', $email))
		{
			$sql = "SELECT ban_email
				FROM " . BANLIST_TABLE;
			if ($result = $db->sql_query($sql))
			{
				if ($row = $db->sql_fetchrow($result))
				{
					do
					{
						$match_email = str_replace('*', '.*?', $row['ban_email']);
						if (preg_match('/^' . $match_email . '$/is', $email))
						{
							$db->sql_freeresult($result);
							return array('error' => true, 'error_msg' => $lang['Email_banned']);
						}
					}
					while($row = $db->sql_fetchrow($result));
				}
			}
			$db->sql_freeresult($result);

			return array('error' => false, 'error_msg' => '');
		}
	}

	return array('error' => true, 'error_msg' => $lang['Email_invalid']);
}

$ECMode = 'ImageSelect';
$Cat_AktID = 0;
if ((isset($HTTP_GET_VARS['cid'])) && (!is_null($HTTP_GET_VARS['cid'])) && (preg_match('/^[0-9]+$/is', $HTTP_GET_VARS['cid'])))
{
	$Cat_AktID = $HTTP_GET_VARS['cid'];
}
elseif ((isset($HTTP_GET_VARS['eid'])) && (!is_null($HTTP_GET_VARS['eid'])) && (preg_match('/^[0-9]+$/is', $HTTP_GET_VARS['eid'])))
{
	$EC_ID = $HTTP_GET_VARS['eid'];
	$ECMode = 'read';
}
elseif ((isset($HTTP_GET_VARS['mode'])) && (!is_null($HTTP_GET_VARS['mode'])) && ($HTTP_GET_VARS['mode'] == 'write'))
{
	if ((isset($HTTP_POST_VARS['ecardselect'])) && (!is_null($HTTP_POST_VARS['ecardselect'])) && (preg_match('/^[0-9]+$/is', $HTTP_POST_VARS['ecardselect'])))
	{
		$ECImage_ID = $HTTP_POST_VARS['ecardselect'];
		$ECMode = 'write';
	}
}
elseif ((isset($HTTP_GET_VARS['mode'])) && (!is_null($HTTP_GET_VARS['mode'])) && ($HTTP_GET_VARS['mode'] == 'send'))
{
	if ((isset($HTTP_POST_VARS['ecard'])) && (!is_null($HTTP_POST_VARS['ecard'])) && (preg_match('/^[0-9]+$/is', $HTTP_POST_VARS['ecard'])))
	{
		$ECImage_ID = $HTTP_POST_VARS['ecard'];
		if (isset($HTTP_POST_VARS['previewecard']))
		{
			$ECMode = 'preview';
		}
		elseif (isset($HTTP_POST_VARS['writeecard']))
		{
			$ECMode = 'rewrite';
		}
		else
		{
			$ECMode = 'send';
		}
	}
}

if ((!$userdata['session_logged_in']) && ($ECMode != 'read'))
{ 
  redirect(append_sid("login.$phpEx?redirect=ecard.$phpEx", true)); 
}

$tab_width = $ecard_config['max_width'];

if (($ECMode != 'ImageSelect') && ($ECMode != 'read'))
{
	$ImgSh_row = array();
	$sql = "SELECT image_id, title, image
		FROM " . ECARD_IMAGES_TABLE . "
		WHERE image_id = " . $ECImage_ID;
	if(!$result = $db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, 'Could not query eCard Images information', '', __LINE__, __FILE__, $sql);
	}
	while ($row = $db->sql_fetchrow($result))
	{
		$ImgSh_row[] = $row;
	}
	$Img_Count = count($ImgSh_row);
	if ($Img_Count < 1)
	{
		$ECMode = 'ImageSelect';
	}
}

$error = FALSE;
$error_msg = '';

$EC_Name = '';
$EC_EMail = '';
$EC_Message = '';
$EC_Message_html = '';
if (($ECMode != 'ImageSelect') && ($ECMode != 'write') && ($ECMode != 'read'))
{
	include($phpbb_root_path . 'includes/functions_validate.'.$phpEx);

	if ((isset($HTTP_POST_VARS['name'])) && (!is_null($HTTP_POST_VARS['name'])))
	{
//		$EC_Name = trim(htmlspecialchars($HTTP_POST_VARS['name']));
		$EC_Name = trim(htmlentities($HTTP_POST_VARS['name']));
	}
	if ((isset($HTTP_POST_VARS['email'])) && (!is_null($HTTP_POST_VARS['email'])))
	{
		$EC_EMail = trim(htmlspecialchars($HTTP_POST_VARS['email']));
	}
	if ((isset($HTTP_POST_VARS['message'])) && (!is_null($HTTP_POST_VARS['message'])))
	{
//		$EC_Message = trim(htmlspecialchars($HTTP_POST_VARS['message']));
		$EC_Message = trim(htmlentities($HTTP_POST_VARS['message']));
		$EC_Message = preg_replace("/&gt;br&lt;/is", "\r\n", $EC_Message);
		$EC_Message = preg_replace("#&gt;br /&lt;#is", "\r\n", $EC_Message);
		$EC_Message = preg_replace("/([\r\n]){8,}/", "\r\n\r\n\r\n", $EC_Message);
		$EC_Message = trim($EC_Message);
		if (preg_match("/([^[:blank:]]{".floor($ecard_config['max_width']/12)."})/", $EC_Message))
		{
			$message_array = preg_split("/\n/", $EC_Message);
			for ($x=0; $x<count($message_array); $x++)
			{
				// if (!preg_match("/\[.*\//", $message_array[$x])) // Alles mit BBCode in Ruhe lassen...
				// {
					$message_array[$x] = preg_replace("/([^[:blank:]]{".floor($ecard_config['max_width']/12)."})/", "\\1 ", $message_array[$x]);
				// }
			}
			$EC_Message = implode("\n", $message_array);
		}
		$EC_Message_html = preg_replace("/(\r\n)/", "<br />", $EC_Message);
	}

	if ((empty($EC_Name)) || (empty($EC_EMail)) || (empty($EC_Message)))
	{
		$error = TRUE;
		$error_msg .= ( ( isset($error_msg) ) ? '<br />' : '' ) . $lang['Fields_empty'];
	}

	$result = ecvali_email($EC_EMail);
	if ($result['error'])
	{
		$error = TRUE;
		$error_msg .= ( ( isset($error_msg) ) ? '<br />' : '' ) . $result['error_msg'];
	}

	if ((strlen($EC_Message) > $ecard_config['max_message_len']) && ($ecard_config['max_message_len'] > 0))
	{
		$error = TRUE;
		$message_too_long = sprintf($lang['Message_Maxlength_error'], $ecard_config['max_message_len']);
		$error_msg .= (!empty($error_msg)) ? '<br />' . $message_too_long : $message_too_long;
	}
	if ((strlen($EC_Message) < $ecard_config['min_message_len']) && ($ecard_config['min_message_len'] > 0))
	{
		$error = TRUE;
		$message_too_short = sprintf($lang['Message_Minlength_error'], $ecard_config['min_message_len']);
		$error_msg .= (!empty($error_msg)) ? '<br />' . $message_too_short : $message_too_short;
	}
}
if ($error)
{
	$ECMode = 'rewrite';
}
$ECHidden = '<div align="center" class="copyright">Powered by <a href="http://phpbb.mwegner.de/" target="_blank">eCard MOD</a></div>';
if ($ECMode != 'read')
{
	$ECHidden .= '</form>';
}

if ($ECMode == 'send')
{
	include($phpbb_root_path . 'includes/ecard_send.'.$phpEx);
}

if ($ecard_config['ec_delete'] === TRUE)
{
	$sql = "DELETE FROM " . ECARD_TABLE . "
		WHERE ";
	if ((isset($EC_ID)) && ($EC_ID > 0))
	{
		$sql .= "id != " . $EC_ID . " AND ";
	}
	$sql .= "date < " . (time() - $ecard_config['max_age']);
	if (!$db->sql_query($sql))
	{
		message_die(GENERAL_ERROR, 'Could not update ecard table', __LINE__, __FILE__, $sql);
	}
}

?>