<?php
/***************************************************************************
 *                          lang_ecard.php [English]
 *                            --------------------
 *
 ***************************************************************************/

$lang_ec['ECard'] = 'eCard';
$lang_ec['ECard_select'] = 'select eCard';
$lang_ec['ECard_send'] = 'send eCard';
$lang_ec['ECard_edit'] = 'edit eCard';
$lang_ec['ECard_show_preview'] = 'show preview';
$lang_ec['ECard_to'] = 'to';
$lang_ec['ECard_from'] = 'from';
$lang_ec['ECard_name'] = 'name';
$lang_ec['ECard_email'] = 'email-address';
$lang_ec['ECard_message'] = 'message';
$lang_ec['ECard_preview'] = 'preview';
$lang_ec['ECard_stored'] = 'Your eCard was sent.';
$lang_ec['ECard_not_stored'] = 'Your eCard was NOT sent!';
$lang_ec['ECard_click_forum'] = 'Click %sHere%s to return to the forum.';
$lang_ec['ECard_was_send'] = 'This eCard was already sent.<br /><br />Click %sHere%s to return to the eCard-gallery.';
$lang_ec['ECard_not_found'] = 'The eCard you requested does not exist.';
$lang_ec['ECard_subject'] = 'eCard from';
$lang_ec['ECard_notification_subject'] = 'read your eCard';

$lang_ec['eCard_Upload_explain'] = 'On this page, you can upload new eCard-pictures. Thumbnails cannot be provided automatically, because PHP extensions such as GD does not support the filetype GIF for copyright reasons.';
$lang_ec['Main_Categorie'] = 'Maincategory';
$lang_ec['Upload_Image'] = 'Picture Upload';
$lang_ec['Image_Title'] = 'Picture Title';
$lang_ec['Upload_Image_local'] = 'Upload a picture from your machine';
$lang_ec['Upload_Thumbnail'] = 'Upload a thumbnail from your machine';
$lang_ec['Upload_to_Category'] = 'Upload to category';
$lang_ec['Upload_thumbnail_explain'] = 'A thumbnail is a small version of the picture.';
$lang_ec['allowed_Format'] = 'Allowed filetypes';
$lang_ec['Max_file_size'] = 'Maximum picture-file size (bytes)';
$lang_ec['Max_tfile_size'] = 'Maximum thumbnail-file size (bytes)';
$lang_ec['Max_width'] = 'Maximum picture width (pixel)';
$lang_ec['Opt_width'] = 'Optimal picture width (pixel)';
$lang_ec['Max_height'] = 'Maximum picture height (pixel)';
$lang_ec['Thumbnail_size'] = 'Maximum thumbnail width and height (pixel)';

$lang_ec['Upload_no_title'] = 'You must enter a title for your picture.';
$lang_ec['Upload_no_file'] = 'You must enter the path and the filename of the picture.';
$lang_ec['Upload_no_tfile'] = 'You must enter the path and the filename of the thumbnail.';
$lang_ec['Upload_successful'] = 'Your picture has been uploaded successfully.';

$lang_ec['Missed_pic_title'] = 'You must enter a picture title.';
$lang_ec['Bad_upload_file_size'] = 'Your uploaded picture is too large or corrupted.';
$lang_ec['Bad_upload_tfile_size'] = 'Your uploaded thumbnail is too large or corrupted.';
$lang_ec['Not_allowed_file_type'] = 'The file type of the picture is not allowed.';
$lang_ec['Not_allowed_tfile_type'] = 'The file type of the thumbnail is not allowed.';
$lang_ec['Upload_image_size_too_big'] = 'Your picture dimension size is too large.';
$lang_ec['Upload_thumbnail_size_too_big'] = 'Your thumbnail dimension size is too large.';
$lang_ec['Click_return_ecard_upload'] = 'Click %shere%s to return to the eCard-Upload';
$lang_ec['Title_too_long'] = 'Your titel is too long (max. %s Signs)';
$lang_ec['no_Categorie_selected'] = 'No valid category was selected.';

$lang_ec['no_categories'] = 'There is no category.';
$lang_ec['no_cat_images'] = 'There are no pictures in this category.';
$lang_ec['no_images'] = 'There are no eCards in this category.';
$lang_ec['unknown_Categorie'] = 'unknown category';
$lang_ec['no_images_unknown_Categorie'] = 'Please select an existing category.';
$lang_ec['no_image'] = 'The picture you selected does not exist.';

$lang_ec['Admin_Categories_Title'] = 'eCard Category Administration';
$lang_ec['Admin_Categories_Explain'] = 'On this screen you can manage your categories: create, alter, delete';
$lang_ec['Category_Title'] = 'Category Title';
$lang_ec['Category_not_found'] = 'The category you are looking for does not exist.';
$lang_ec['Delete_Category'] = 'Delete category';
$lang_ec['Delete_Category_Explain'] = 'Here you can delete categories.';
$lang_ec['New_category_created'] = 'The new category has been entered successfully.';
$lang_ec['Click_return_ecard_category'] = 'Click %shere%s to return to the eCard Category Administration';
$lang_ec['Category_updated'] = 'This category has been updated successfully.';
$lang_ec['Category_deleted'] = 'This category has been deleted successfully.';
$lang_ec['Admin_Images_Title'] = 'eCard Picture Administration';
$lang_ec['Admin_Images_Explain'] = 'On this page, you can delete or alter eCrad-pictures. You can also change the category a picture is assigned to.';
$lang_ec['Admin_show_Images'] = 'List pictures';
$lang_ec['Image'] = 'Picture';
$lang_ec['Upload_date'] = 'Upload on';
$lang_ec['Counter'] = 'Counter';
$lang_ec['Counter_Explain'] = 'The value indicates, how often this picture was sent as an eCard.';
$lang_ec['Counter2_Explain'] = 'The value indicates, how often a user sent an eCard.';
$lang_ec['Edit_Image'] = 'Edit Picture';
$lang_ec['Categorie'] = 'Category';
$lang_ec['Delete_Image'] = 'Delete Picture';
$lang_ec['Delete_Image_Explain'] = 'Here you can delete eCard-pictures. Please note that the picture may be used in stored eCards. After the deletion of the picture these ecards can still be read, however the picture is not shown.';
$lang_ec['images_eCards_nr'] = 'Number of unread letters, which use this picture';
$lang_ec['images_eCards_ar'] = 'Number of read letters, which use this picture';
$lang_ec['Image_updated'] = 'This eCard picture has been updated successfully.';
$lang_ec['Image_deleted'] = 'This eCard picture has been deleted successfully.';
$lang_ec['Click_return_ecard_image'] = 'Click %shere%s to return to the eCard Picture Administration';
$lang_ec['not_updated'] = 'The database has not been updated.';
$lang_ec['Missed_cat_title'] = 'You must specify a title for the category.';
$lang_ec['Admin_Image_Upload'] = 'eCard Picture Upload';

$lang_ec['Admin_Statistic_Title'] = 'eCard Statistics';
$lang_ec['Admin_Statistic1_Title'] = 'Top Ten eCards';
$lang_ec['Admin_Statistic2_Title'] = 'Top Ten eCard-Writer';
$lang_ec['no_stat_image'] = 'no pictures available';

$lang_ec['Years'] = 'years';
$lang_ec['Year'] = 'year';
$lang_ec['Months'] = 'months';
$lang_ec['Month'] = 'month';
$lang_ec['Days'] = 'days';
$lang_ec['Day'] = 'day';
$lang_ec['Hours'] = 'hours';
$lang_ec['Hour'] = 'hour';
$lang_ec['Minutes'] = 'minutes';
$lang_ec['Minute'] = 'minute';

$lang_ec['Admin_eCard_Title'] = 'eCard Database';
$lang_ec['Admin_eCard_Explain'] = 'A list of all eCrads existing in the database. eCards, older then %s, are deleted automatically.';
$lang_ec['Send_date'] = 'sent on';
$lang_ec['Status'] = 'status';

?>